<?php

@date_default_timezone_set('Asia/Shanghai');

define('BASE_CORE_PATH',BASE_ROOT_PATH.'/core');
define('BASE_DATA_PATH',BASE_ROOT_PATH.'/data');
define('BASE_MOBILE_PATH',BASE_ROOT_PATH.'/mobile');
define('BASE_CRONTAB_PATH',BASE_ROOT_PATH.'/crontab');
define('BASE_UPLOAD_PATH',BASE_DATA_PATH.'/upload');
define('BASE_UTIL_PATH',BASE_ROOT_PATH.'/util');
define('BASE_AVATAR_PATH',BASE_UPLOAD_PATH.'/shop/avatar');

require_once(BASE_ROOT_PATH . '/global.php');
require_once(BASE_DATA_PATH . '/config/config.ini.php');
require_once(BASE_CORE_PATH . '/33hao.php');

require_once(BASE_MOBILE_PATH . '/config/config.ini.php');
require_once(BASE_MOBILE_PATH . '/framework/function/function.php');
require_once(BASE_MOBILE_PATH . '/util/errcode.php');
require_once(BASE_MOBILE_PATH . '/control/log.php');

require_once(BASE_CORE_PATH . '/framework/libraries/queue.php');
require_once(BASE_CORE_PATH . '/framework/libraries/tpl.php');
require_once(BASE_CORE_PATH . '/framework/function/core.php');
require_once(BASE_CORE_PATH . '/framework/core/base.php');
require_once(BASE_CORE_PATH . '/framework/libraries/cache.php');
require_once(BASE_CORE_PATH . '/framework/libraries/queue.php');
require_once(BASE_CORE_PATH . '/framework/libraries/language.php');
require_once(BASE_CORE_PATH . '/framework/libraries/model.php');
require_once(BASE_CORE_PATH . '/framework/libraries/log.php');
require_once(BASE_CORE_PATH . '/framework/db/mysqli.php');
require_once(BASE_CORE_PATH . '/framework/function/goods.php');
require_once(BASE_CORE_PATH . '/framework/libraries/validator.php');
require_once(BASE_CORE_PATH . '/framework/libraries/resizeimage.php');

require_once(BASE_ROOT_PATH . '/helper/performance_helper.php');
require_once(BASE_ROOT_PATH . '/helper/sensitive_word/dfa.php');
require_once(BASE_ROOT_PATH . '/helper/request_helper.php');
require_once(BASE_ROOT_PATH . '/helper/configure.php');
require_once(BASE_ROOT_PATH . '/helper/pay_helper.php');
require_once(BASE_ROOT_PATH . '/helper/model_helper.php');
require_once(BASE_ROOT_PATH . '/helper/goods/commonid_helper.php');
